# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)

require "rubychina/version"

Gem::Specification.new do |s|
  s.name        = "rubychina"
  s.license     = "MIT"
  s.authors     = ["Mattt Thompson"]
  s.email       = "m@mattt.me"
  s.homepage    = "http://mattt.me"
  s.version     = RubyChina::VERSION
  s.platform    = Gem::Platform::RUBY
  s.summary     = "rubychina"
  s.description = "A command-line interface for accessing rubychina session content"

  s.add_dependency "commander", "~> 4.1.2"
  s.add_dependency "excon", "~> 0.25.3"
  s.add_dependency "colored", "~> 1.2"


  s.add_development_dependency "rspec"
  s.add_development_dependency "rake"

  s.files         = Dir["./**/*"].reject { |file| file =~ /\.\/(log|pkg|script|spec|test|vendor)/ }
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]
end
